Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
addresses
/
{address_hash_param}
Retrieve detailed information about a specific address or contract
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/addresses/{address_hash_param} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.blockscout.com/{chain_id}/api/v2/addresses/{address_hash_param}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.blockscout.com/{chain_id}/api/v2/addresses/{address_hash_param}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "block_number_balance_updated_at": 1,
  "coin_balance": "<string>",
  "creation_transaction_hash": "<string>",
  "creator_address_hash": "<string>",
  "ens_domain_name": "<string>",
  "exchange_rate": "<string>",
  "has_beacon_chain_withdrawals": true,
  "has_logs": true,
  "has_token_transfers": true,
  "has_tokens": true,
  "has_validated_blocks": true,
  "hash": "<string>",
  "implementations": [
    {
      "address_hash": "<string>",
      "name": "<string>"
    }
  ],
  "is_contract": true,
  "is_scam": true,
  "is_verified": true,
  "metadata": {
    "tags": [
      {
        "meta": {},
        "name": "<string>",
        "ordinal": 123,
        "slug": "<string>",
        "tagType": "<string>"
      }
    ]
  },
  "name": "<string>",
  "token": {
    "address_hash": "<string>",
    "circulating_market_cap": "<string>",
    "circulating_supply": "<string>",
    "decimals": "<string>",
    "exchange_rate": "<string>",
    "holders_count": "<string>",
    "icon_url": "https://example.com",
    "name": "<string>",
    "symbol": "<string>",
    "total_supply": "<string>",
    "volume_24h": "<string>",
    "foreign_address": "<string>",
    "origin_chain_id": "<string>"
  },
  "watchlist_address_id": 123,
  "private_tags": [
    {
      "address_hash": "<string>",
      "display_name": "<string>",
      "label": "<string>"
    }
  ],
  "public_tags": [
    {
      "address_hash": "<string>",
      "display_name": "<string>",
      "label": "<string>"
    }
  ],
  "watchlist_names": [
    {
      "display_name": "<string>",
      "label": "<string>"
    }
  ]
}
{
"message": "Unverified email"
}
{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

address_hash_param
string
required

Address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$
chain_id
string
required

The ID of the blockchain

Response

Detailed information about the specified address.

Address response

block_number_balance_updated_at
integer | null
required
Required range: x >= 0
coin_balance
string | null
required
Pattern: ^-?([1-9][0-9]*|0)$
creation_status
enum<string> | null
required

Creation status of the contract

Available options:
success,
failed,
selfdestructed
creation_transaction_hash
string | null
required
Pattern: ^0x([A-Fa-f0-9]{64})$
creator_address_hash
string | null
required
Pattern: ^0x([A-Fa-f0-9]{40})$
ens_domain_name
string | null
required

ENS domain name associated with the address

exchange_rate
string | null
required
Pattern: ^([1-9][0-9]*|0)(\.[0-9]+)?$
has_beacon_chain_withdrawals
boolean
required
has_logs
boolean
required
has_token_transfers
boolean
required
has_tokens
boolean
required
has_validated_blocks
boolean
required
hash
string
required
Pattern: ^0x([A-Fa-f0-9]{40})$
implementations
Implementation · object[]
required

Implementations linked with the contract

is_contract
boolean | null
required

Has address contract code?

is_scam
boolean
required

Has address scam badge?

is_verified
boolean | null
required

Has address associated source code?

metadata
Metadata · object | null
required

Metadata struct

name
string | null
required

Name associated with the address

proxy_type
enum<string> | null
required
Available options:
eip1167,
eip1967,
eip1822,
eip1967_oz,
eip1967_beacon,
master_copy,
basic_implementation,
basic_get_implementation,
comptroller,
eip2535,
clone_with_immutable_arguments,
eip7702,
resolved_delegate_proxy,
erc7760,
minimal_proxy
reputation
enum<string>
required

Reputation of the address

Available options:
ok,
scam
token
Token · object | null
required

Token struct

watchlist_address_id
integer | null
required
private_tags
Tag · object[]

Private tags associated with the address

public_tags
Tag · object[]

Public tags associated with the address

watchlist_names
WatchlistName · object[]

Watchlist name associated with the address